wreport::benchmark::Progress Struct Referenceabstract

Notify of progress during benchmark execution. More...

`#include <benchmark.h>`

Inheritance diagram for wreport::benchmark::Progress:

## Public Member Functions

virtual void | start_benchmark (const Benchmark &b)=0
virtual void | end_benchmark (const Benchmark &b)=0
virtual void | start_iteration (const Benchmark &b, unsigned cur, unsigned total)=0
virtual void | end_iteration (const Benchmark &b, unsigned cur, unsigned total)=0
virtual void | test_failed (const Benchmark &b, std::exception &e)=0

## Detailed Description

Notify of progress during benchmark execution.

The documentation for this struct was generated from the following file:

- benchmark.h